
Foreman - Feature #1494

assign a role, filter, host to a usergroup

02/14/2012 06:54 AM - Steve Traylen

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

I may be missing something but currently usergroups cannot be used in any particular way other than adding

users to the usergroups.

For individual users the following can be done:

Assign a role to a user , e.g steve can have 'site manager'

Assign a filter to a user  e.g user steve only acts on hosts in hostgroup '/base/castor'

A host can be owned by a user.

I believe all for all of the above being able to do them for a usergroup would be very useful.

History

#1 - 02/23/2012 10:27 AM - Steve Traylen

So indeed I did miss that a host can be owned by a usergroup.  This can be done, the groups are just at the bottom of the list of the users.

This was the main one I was missing of the three. I don't quite now know why I want the other two.

Please close this , apologies for the bother.

#2 - 02/23/2012 10:30 AM - Ohad Levy

- Status changed from New to Resolved
